Index: trunk/asma/Docs/SAPs.txt
===================================================================
--- trunk/asma/Docs/SAPs.txt	(revision 10)
+++ trunk/asma/Docs/SAPs.txt	(revision 12)
@@ -1,310 +1,334 @@
-Classics\Brooke_Jason\180.sap
-Demos\97th_Last_Party_Invitro_1.sap
-Demos\97th_Last_Party_Invitro_2.sap
-Unsorted\Abbuc38.sap
-Various\Galinski_Adrian\Abdicus.sap
-Games\Various\Adax.sap
-Games\Various\Adax_Ingame.sap
-Various\Makowski_Robert\Alfaboot_1.sap
-Various\Makowski_Robert\Alfaboot_2.sap
-Various\Liebich_Tomasz\Alien.sap
-Classics\Whittaker_David\Amaurote.sap
-Various\Drozdowski_Marek\APC_Part.sap
-Various\Husak_Jakub\Aquanaut.sap
-Various\Liebich_Tomasz\Armageddon.sap
-Various\Czartynski_Marcin\Asskicker_Main_Part.sap
-Various\Czartynski_Marcin\Asskicker_Menu.sap
-Various\Czartynski_Marcin\Asskicker_Outro.sap
-Various\Liebich_Tomasz\Aurum.sap
-Unsorted\Autum.sap
-Games\Various\Axilox.sap
-Various\DJ_V\Ballada_O_Januszku.sap
-Various\Husak_Jakub\Bank_Bang_2.sap
-Various\Husak_Jakub\Bank_Bang_Title.sap
-Games\Various\Barahir.sap
-Various\Sychowicz_Lukasz\Barymag_2_1.sap
-Various\Sychowicz_Lukasz\Barymag_2_2.sap
-Various\Sychowicz_Lukasz\Barymag_2_3.sap
-Various\Sychowicz_Lukasz\Barymag_2_4.sap
-Various\Sychowicz_Lukasz\Barymag_2_5.sap
-Various\Sychowicz_Lukasz\Barymag_2_6.sap
-Various\Sychowicz_Lukasz\Barymag_2_7.sap
-Various\Sychowicz_Lukasz\Barymag_2_8.sap
-Various\Sychowicz_Lukasz\Barymag_2_Intro.sap
-Classics\Daglish_Ben\Basil.sap
-Various\Galinski_Adrian\Bells.sap
-Unsorted\Benny.sap
-Games\Various\Biathlon.sap
-Unsorted\Big_Zine_1_Greetings.sap
-Unsorted\Big_Zine_1_Invitro.sap
-Various\Bienias_Adam\Bitter_Reality.sap
-Various\Bienias_Adam\Bitter_Reality_Farewell.sap
-Various\Bienias_Adam\Bitter_Reality_Filet_Lazma.sap
-Classics\Munns_Richard\Black_Lamp.sap
-Classics\Munns_Richard\Black_Lamp_Ingame.sap
-Classics\Gilmore_Adam\Blinkys_Scary_School.sap
-Games\Classic\Blip.sap
-Various\Liebich_Tomasz\Blood_Fighter_1.sap
-Various\Liebich_Tomasz\Blood_Fighter_2.sap
-Classics\Whittaker_David\BMX_Simulator.sap
-Games\Various\Bomb_Fusion.sap
-Games\Various\Bombay.sap
-Games\Classic\Boulder_Dash.sap
-Various\Pelc_Janusz\Captain_Gather.sap
-Various\Czartynski_Marcin\Cedyn1.sap
-Games\Classic\Claim_Jumper.sap
-Various\Galinski_Adrian\Classic_Secret.sap
-Various\Galinski_Adrian\Classic_Secret_Sampled.sap
-Classics\Whittaker_David\Colony.sap
-Demos\Commando.sap
-Unsorted\CompyShop_Magazine_Intro_1.sap
-Unsorted\CompyShop_Magazine_Intro_2.sap
-Unsorted\CompyShop_Magazine_Intro_3.sap
-Unsorted\CompyShop_Magazine_Intro_4.sap
-Games\Classic\Conan.sap
-Unsorted\Condor.sap
-Various\Galinski_Adrian\Contribution.sap
-Unsorted\Cool.sap
-Various\Liebich_Tomasz\Dark_Abyss.sap
-Various\Szymczuk_Daniel\Darkness_Hour.sap
-Various\Szymczuk_Daniel\Darkness_Hour_End.sap
-Various\Szymczuk_Daniel\Darkness_Hour_Ingame.sap
-Demos\Das_Omen.sap
-Various\Galinski_Adrian\Daxey.sap
-Unsorted\Deathlan.sap
-Various\Liebich_Tomasz\Deimos.sap
-Unsorted\Demo1.sap
-Unsorted\Demo2.sap
-Various\Galinski_Adrian\Demology_1.sap
-Various\Galinski_Adrian\Demology_2.sap
-Various\Galinski_Adrian\Demology_3.sap
-Various\Galinski_Adrian\Demology_4.sap
-Various\Galinski_Adrian\Demology_5.sap
-Various\Galinski_Adrian\Demology_6.sap
-Various\Liebich_Tomasz\Dictum_Acerbum.sap
-Games\Various\Digi_Duck.sap
-Unsorted\Dracon1.sap
-Classics\Gilmore_Adam\Draconus.sap
-Various\Makowski_Robert\Dream.sap
-Various\Galinski_Adrian\Drop_It.sap
-Various\Sychowicz_Lukasz\Drunk_Chessboard.sap
-Games\Various\Drutt.sap
-Demos\Dual_Yellow_Energy.sap
-Various\Husak_Jakub\Duch.sap
-Various\Liebich_Tomasz\Duksap_1.sap
-Various\Liebich_Tomasz\Duksap_2.sap
-Various\Liebich_Tomasz\Duksap_3.sap
-Games\Various\Dynakillers_Demo.sap
-Classics\Whittaker_David\Elektra_Glide.sap
-Unsorted\Endless1.sap
-Unsorted\Endless2.sap
-Unsorted\Endless3.sap
-Unsorted\Endless5.sap
-Various\Pelc_Janusz\Enola.sap
-Various\Czartynski_Marcin\Exodus.sap
-Classics\Hubbard_Rob\Extirpator.sap
-Various\Martin_Aleksander\Extract.sap
-Unsorted\Fad_Face.sap
-Unsorted\Fatum_Intro.sap
-Classics\Brooke_Jason\Feud.sap
-Various\Husak_Jakub\Five_To_Five.sap
-Various\Pelc_Janusz\Fred.sap
-Various\Galinski_Adrian\Fuck_And_Roll.sap
-Various\Liebich_Tomasz\Fucked_Vocabulary.sap
-Various\Duesterhoeft_Stephan\Funky_Rock.sap
-Unsorted\Gallahad.sap
-Various\Husak_Jakub\Garfield.sap
-Various\Duesterhoeft_Stephan\Glide.sap
-Classics\Whittaker_David\Grand_Prix_Simulator.sap
-Various\Galinski_Adrian\Guard.sap
-Various\Sychowicz_Lukasz\Halo.sap
-Games\Various\Hans_Kloss.sap
-Various\Liebich_Tomasz\Hawkmoon.sap
-Unsorted\Hcl3.sap
-Unsorted\Hcl5.sap
-Classics\Munns_Richard\Heart_Break.sap
-Various\Husak_Jakub\Helix.sap
-Various\Liebich_Tomasz\Hi_Alf.sap
-Various\Bartman\Hivmania.sap
-Demos\Hobbytronic_89_1.sap
-Demos\Hobbytronic_89_2.sap
-Demos\Hobbytronic_90_1.sap
-Various\Duesterhoeft_Stephan\Hobbytronic_90_1.sap
-Demos\Hobbytronic_90_2.sap
-Various\Duesterhoeft_Stephan\Hobbytronic_90_2.sap
-Various\Duesterhoeft_Stephan\Hobbytronic_90_3.sap
-Various\Duesterhoeft_Stephan\Hobbytronic_90_4.sap
-Various\Duesterhoeft_Stephan\Hobbytronic_90_5.sap
-Various\Duesterhoeft_Stephan\Hobbytronic_90_6.sap
-Demos\Hobbytronic_92_1.sap
-Demos\Hobbytronic_92_2.sap
-Various\Sychowicz_Lukasz\Hypek.sap
-Various\Makowski_Robert\Ilusion.sap
-Various\Husak_Jakub\Inspector.sap
-Various\Swierszcz_Piotr\Intel_Outside_4_Intro.sap
-Demos\Intel_Outside_4_Invitro.sap
-Various\Galinski_Adrian\Intel_Outside_Dots_And_Pl.sap
-Various\Galinski_Adrian\Intel_Outside_End_Scroll.sap
-Various\Galinski_Adrian\Intel_Outside_Fractal_Part.sap
-Various\Galinski_Adrian\Intel_Outside_Scrollers.sap
-Various\Galinski_Adrian\Intel_Outside_The_Intro.sap
-Various\Galinski_Adrian\Intel_Outside_Vector_Part.sap
-Classics\Hubbard_Rob\International_Karate.sap
-Demos\Intro_97.sap
-Unsorted\Introd.sap
-Games\Various\Jaffar.sap
-Unsorted\Janosik.sap
-Games\Various\Jet_Action.sap
-Classics\Hubbard_Rob\Jet_Set_Willy.sap
-Classics\Gilmore_Adam\Jocky_Wilsons_Darts_Chall.sap
-Various\Bienias_Adam\Joins_1.sap
-Various\Bienias_Adam\Joins_2.sap
-Various\Bienias_Adam\Just_Fancy.sap
-Various\Bartman\Kapitan_Planeta.sap
-Games\Various\King_Of_Killers.sap
-Unsorted\Ksiaze.sap
-Various\Liebich_Tomasz\Landscape.sap
-Classics\Gilmore_Adam\Las_Vegas_Casino.sap
-Various\Pelc_Janusz\Lasermania.sap
-Classics\Hubbard_Rob\Last_V8.sap
-Various\Drozdowski_Marek\Lemmings_2.sap
-Classics\Whittaker_David\Living_Daylights.sap
-Games\Classic\Loco.sap
-Various\Szymczuk_Daniel\Loriens_Tomb.sap
-Various\Szymczuk_Daniel\Loriens_Tomb_Game_Over.sap
-Various\Liebich_Tomasz\Lowca.sap
-Unsorted\Lunatic.sap
-Games\Various\Major_Bronx.sap
-Various\DJ_V\Maluchem_Na_Party.sap
-Games\Classic\Master_Of_Time.sap
-Games\Various\Micro_Man.sap
-Games\Various\Micro_Man_Ingame.sap
-Games\Various\Microx.sap
-Various\Galinski_Adrian\Midnight.sap
-Various\Trokowicz_B\Miecze_Valdgira_II.sap
-Various\Trokowicz_B\Miecze_Valdgira_Ingame.sap
-Various\Trokowicz_B\Miecze_Valdgira_Title.sap
-Classics\Whittaker_David\Milk_Race.sap
-Games\Various\Missile_Action.sap
-Various\Pelc_Janusz\Mission.sap
-Unsorted\Monty_Demo.sap
-Various\Duesterhoeft_Stephan\Morbit.sap
-Classics\Gilmore_Adam\Mountain_Bike.sap
-Demos\Movements.sap
-Various\Martin_Aleksander\Mr_Proper.sap
-Various\Martin_Aleksander\Mr_Proper_Ingame.sap
-Games\Various\Muff_1.sap
-Games\Various\Muff_2.sap
-Games\Various\Muff_3.sap
-Games\Classic\Mule.sap
-Various\Bienias_Adam\Music_1.sap
-Unsorted\Music1.sap
-Unsorted\Music2.sap
-Unsorted\Mymusic.sap
-Games\Classic\Nadral.sap
-Various\DJ_V\Najebany_Mikolajza.sap
-Games\Various\Najemnik.sap
-Unsorted\New1.sap
-Games\Classic\Ninja.sap
-Classics\Gilmore_Adam\Ninja_Commando.sap
-Various\Husak_Jakub\Opanowanie_Swiata.sap
-Various\Czartynski_Marcin\Outer_Part_I.sap
-Various\Sychowicz_Lukasz\Overmind_End.sap
-Classics\Whittaker_David\Panther.sap
-Unsorted\Paradise.sap
-Various\Makowski_Robert\Phone.sap
-Various\Liebich_Tomasz\Piekielko_1.sap
-Various\Liebich_Tomasz\Piekielko_2.sap
-Classics\Munns_Richard\Plastron.sap
-Classics\Munns_Richard\Plastron_Ingame.sap
-Various\Swierszcz_Piotr\Popcorn.sap
-Various\Husak_Jakub\Problem_Jasia_1.sap
-Various\Husak_Jakub\Problem_Jasia_2.sap
-Various\Husak_Jakub\Problem_Jasia_3.sap
-Games\Various\Puzmania.sap
-Games\Classic\Reachout.sap
-Various\Swierszcz_Piotr\Rebellion_Battle.sap
-Various\Swierszcz_Piotr\Rebellion_Rise.sap
-Various\Swierszcz_Piotr\Rebellion_Victory.sap
-Classics\Whittaker_David\Red_Max.sap
-Games\Various\Reverse.sap
-Various\Bartman\Robin_1.sap
-Various\Bartman\Robin_2.sap
-Various\Galinski_Adrian\Rockman_1.sap
-Various\Galinski_Adrian\Rockman_2.sap
-Various\Duesterhoeft_Stephan\Rythms.sap
-Games\Various\Saper.sap
-Unsorted\Self_Test.sap
-Games\Various\SEX_Versi.sap
-Various\Bartman\Shadows_Party_Invitro.sap
-Various\Drozdowski_Marek\Shake.sap
-Unsorted\Shakemix.sap
-Various\Liebich_Tomasz\Ship.sap
-Various\Liebich_Tomasz\Sky_Computer_Network.sap
-Various\Liebich_Tomasz\Smus.sap
-Various\Liebich_Tomasz\Snowball.sap
-Various\Liebich_Tomasz\Snowball_Ingame.sap
-Various\Duesterhoeft_Stephan\Song.sap
-Games\Various\SOS_Saturn.sap
-Unsorted\Spellbound_Partial_Version.sap
-Games\Classic\Spiky_Harold.sap
-Games\Various\Spy_Master.sap
-Games\Classic\Spy_vs_Spy.sap
-Games\Classic\Spy_vs_Spy_3.sap
-Classics\Whittaker_David\Storm.sap
-Demos\Strange_Mountains_II.sap
-Games\Classic\Submission.sap
-Games\Classic\Super_Heart.sap
-Various\Bartman\Sweet_Illusions_1.sap
-Various\Bartman\Sweet_Illusions_2.sap
-Various\Bartman\Sweet_Illusions_3.sap
-Various\Bartman\Sweet_Illusions_4.sap
-Unsorted\Tamusic.sap
-Various\Husak_Jakub\Tanks.sap
-Games\Classic\Taxicab_Hill.sap
-Unsorted\Teacher1.sap
-Various\Makowski_Robert\Techno.sap
-Games\Various\Technoid.sap
-Unsorted\Technus.sap
-Unsorted\That_Demo_1.sap
-Various\Swierszcz_Piotr\The_Pain.sap
-Various\Zur-soft\The_Top_2.sap
-Various\Zur-soft\The_Top_3_End_Scroll.sap
-Various\Zur-soft\The_Top_3_Part_1.sap
-Various\Zur-soft\The_Top_3_Part_3.sap
-Various\Zur-soft\The_Top_3_Part_6.sap
-Unsorted\Think.sap
-Various\Husak_Jakub\Thinker_1.sap
-Various\Husak_Jakub\Thinker_2.sap
-Demos\Time_To_Enjoy.sap
-Various\Bienias_Adam\Train.sap
-Classics\Whittaker_David\Trans_Muter.sap
-Games\Various\Trix.sap
-Classics\Munns_Richard\Tube_Baddies.sap
-Various\Liebich_Tomasz\Tusker.sap
-Games\Various\U235.sap
-Games\Various\U235_2.sap
-Various\Husak_Jakub\Ucieczka_W_Nicosc.sap
-Unsorted\Unknown.sap
-Various\Liebich_Tomasz\Vicky_1.sap
-Various\Liebich_Tomasz\Vicky_2.sap
-Various\Liebich_Tomasz\Vicky_3.sap
-Various\Liebich_Tomasz\Vicky_4.sap
-Classics\Hubbard_Rob\Warhawk.sap
-Various\Husak_Jakub\Warsaw_Tetris.sap
-Games\Classic\Winter_Games_88_Biathlon.sap
-Games\Classic\Winter_Games_88_Bobsled.sap
-Games\Classic\Winter_Games_88_Downhill.sap
-Games\Classic\Winter_Games_88_Ski_Jump.sap
-Games\Classic\Winter_Games_88_Slalom.sap
-Various\Liebich_Tomasz\Wloczykij.sap
-Various\Husak_Jakub\Wodospadem_Czasu.sap
-Various\Husak_Jakub\Wsrod_Gwiazd.Nadzieji.sap
-Various\Sychowicz_Lukasz\X_Ray_1.sap
-Various\Sychowicz_Lukasz\X_Ray_2.sap
-Unsorted\Yamaha.sap
-Various\Bienias_Adam\Zdzisio_1.sap
-Various\Bienias_Adam\Zdzisio_2.sap
-Unsorted\Zepi.sap
-Games\Various\Zeus.sap
-Classics\Gilmore_Adam\Zybex.sap
+Classics/Brooke_Jason/180.sap
+Classics/Brooke_Jason/Feud.sap
+Classics/Daglish_Ben/Basil.sap
+Classics/Gilmore_Adam/Blinkys_Scary_School.sap
+Classics/Gilmore_Adam/Draconus.sap
+Classics/Gilmore_Adam/Jocky_Wilsons_Darts_Chall.sap
+Classics/Gilmore_Adam/Las_Vegas_Casino.sap
+Classics/Gilmore_Adam/Mountain_Bike.sap
+Classics/Gilmore_Adam/Ninja_Commando.sap
+Classics/Gilmore_Adam/Zybex.sap
+Classics/Hubbard_Rob/Extirpator.sap
+Classics/Hubbard_Rob/International_Karate.sap
+Classics/Hubbard_Rob/Jet_Set_Willy.sap
+Classics/Hubbard_Rob/Last_V8.sap
+Classics/Hubbard_Rob/Warhawk.sap
+Classics/Munns_Richard/Black_Lamp.sap
+Classics/Munns_Richard/Black_Lamp_Ingame.sap
+Classics/Munns_Richard/Heart_Break.sap
+Classics/Munns_Richard/Plastron.sap
+Classics/Munns_Richard/Plastron_Ingame.sap
+Classics/Munns_Richard/Tube_Baddies.sap
+Classics/Whittaker_David/Amaurote.sap
+Classics/Whittaker_David/BMX_Simulator.sap
+Classics/Whittaker_David/Colony.sap
+Classics/Whittaker_David/Elektra_Glide.sap
+Classics/Whittaker_David/Grand_Prix_Simulator.sap
+Classics/Whittaker_David/Living_Daylights.sap
+Classics/Whittaker_David/Milk_Race.sap
+Classics/Whittaker_David/Panther.sap
+Classics/Whittaker_David/Red_Max.sap
+Classics/Whittaker_David/Storm.sap
+Classics/Whittaker_David/Trans_Muter.sap
+Demos/Commando.sap
+Demos/Das_Omen.sap
+Demos/Dual_Yellow_Energy.sap
+Demos/Hobbytronic_89_1.sap
+Demos/Hobbytronic_89_2.sap
+Demos/Hobbytronic_90_1.sap
+Demos/Hobbytronic_90_2.sap
+Demos/Hobbytronic_92_1.sap
+Demos/Hobbytronic_92_2.sap
+Demos/Intro_97.sap
+Demos/Lunatic.sap
+Demos/Movements.sap
+Demos/Strange_Mountains_II.sap
+Demos/Time_To_Enjoy.sap
+Games/Classic/Astrochase.sap
+Games/Classic/Blip.sap
+Games/Classic/Blue_Max.sap
+Games/Classic/Blue_Max_2000.sap
+Games/Classic/Boulder_Dash.sap
+Games/Classic/Capt_Stickys_Gold.sap
+Games/Classic/Caverns_of_Khafka.sap
+Games/Classic/Claim_Jumper.sap
+Games/Classic/Conan.sap
+Games/Classic/Crazy_Copter.sap
+Games/Classic/Diamonds.sap
+Games/Classic/Ghost_Chaser.sap
+Games/Classic/Leggit.sap
+Games/Classic/Loco.sap
+Games/Classic/Master_of_Time.sap
+Games/Classic/Mule.sap
+Games/Classic/Nadral.sap
+Games/Classic/Ninja.sap
+Games/Classic/Protector_II.sap
+Games/Classic/Quasimodo.sap
+Games/Classic/Reachout.sap
+Games/Classic/Robin_Hood.sap
+Games/Classic/Shamus.sap
+Games/Classic/Special_Delivery.sap
+Games/Classic/Spiky_Harold.sap
+Games/Classic/Spy_Hunter.sap
+Games/Classic/Spy_vs_Spy.sap
+Games/Classic/Spy_vs_Spy_3.sap
+Games/Classic/Submission.sap
+Games/Classic/Taxicab_Hill.sap
+Games/Classic/William_Tell.sap
+Games/Classic/Winter_Games_88_Biathlon.sap
+Games/Classic/Winter_Games_88_Bobsled.sap
+Games/Classic/Winter_Games_88_Downhill.sap
+Games/Classic/Winter_Games_88_Ski_Jump.sap
+Games/Classic/Winter_Games_88_Slalom.sap
+Games/Various/Adax.sap
+Games/Various/Adax_Ingame.sap
+Games/Various/Axilox.sap
+Games/Various/Barahir.sap
+Games/Various/Biathlon.sap
+Games/Various/Bomb_Fusion.sap
+Games/Various/Bombay.sap
+Games/Various/Digi_Duck.sap
+Games/Various/Drutt.sap
+Games/Various/Dynakillers_Demo.sap
+Games/Various/Hans_Kloss.sap
+Games/Various/Jaffar.sap
+Games/Various/Jet_Action.sap
+Games/Various/King_Of_Killers.sap
+Games/Various/Magia_Krysztalu.sap
+Games/Various/Major_Bronx.sap
+Games/Various/Micro_Man.sap
+Games/Various/Micro_Man_Ingame.sap
+Games/Various/Microx.sap
+Games/Various/Missile_Action.sap
+Games/Various/Muff_1.sap
+Games/Various/Muff_2.sap
+Games/Various/Muff_3.sap
+Games/Various/Najemnik.sap
+Games/Various/Puzmania.sap
+Games/Various/Reverse.sap
+Games/Various/SEX_Versi.sap
+Games/Various/SOS_Saturn.sap
+Games/Various/Saper.sap
+Games/Various/Spy_Master.sap
+Games/Various/Super_Heart.sap
+Games/Various/Technoid.sap
+Games/Various/U235.sap
+Games/Various/U235_2.sap
+Games/Various/Zeus.sap
+Unsorted/906090.sap
+Unsorted/Abbuc38.sap
+Unsorted/Autum.sap
+Unsorted/Benny.sap
+Unsorted/Big_Zine_1_Greetings.sap
+Unsorted/Big_Zine_1_Invitro.sap
+Unsorted/CompyShop_Magazine_Intro_1.sap
+Unsorted/CompyShop_Magazine_Intro_2.sap
+Unsorted/CompyShop_Magazine_Intro_3.sap
+Unsorted/CompyShop_Magazine_Intro_4.sap
+Unsorted/Condor.sap
+Unsorted/Cool.sap
+Unsorted/Deathlan.sap
+Unsorted/Demo1.sap
+Unsorted/Demo2.sap
+Unsorted/Dracon1.sap
+Unsorted/Endless1.sap
+Unsorted/Endless2.sap
+Unsorted/Endless3.sap
+Unsorted/Endless5.sap
+Unsorted/Fatum_Intro.sap
+Unsorted/Gallahad.sap
+Unsorted/Hcl3.sap
+Unsorted/Hcl5.sap
+Unsorted/Introd.sap
+Unsorted/Janosik.sap
+Unsorted/Ksiaze.sap
+Unsorted/Magnetic_Fields.sap
+Unsorted/Monty_Demo.sap
+Unsorted/Music1.sap
+Unsorted/Music2.sap
+Unsorted/Mymusic.sap
+Unsorted/New1.sap
+Unsorted/Nonsense_War.sap
+Unsorted/Self_Test.sap
+Unsorted/Shakemix.sap
+Unsorted/Spellbound_Partial_Version.sap
+Unsorted/Teacher1.sap
+Unsorted/Technus.sap
+Unsorted/That_Demo_1.sap
+Unsorted/Think.sap
+Unsorted/Unknown.sap
+Unsorted/Yamaha.sap
+Unsorted/Zepi.sap
+Various/Badkowski_Marek/Fad_Face.sap
+Various/Badkowski_Marek/Intel_Outside_4_Invitro.sap
+Various/Badkowski_Marek/Paradise.sap
+Various/Bienias_Adam/Bitter_Reality.sap
+Various/Bienias_Adam/Bitter_Reality_Farewell.sap
+Various/Bienias_Adam/Bitter_Reality_Filet_Lazma.sap
+Various/Bienias_Adam/Joins_1.sap
+Various/Bienias_Adam/Joins_2.sap
+Various/Bienias_Adam/Just_Fancy.sap
+Various/Bienias_Adam/Music_1.sap
+Various/Bienias_Adam/Train.sap
+Various/Bienias_Adam/Zdzisio_1.sap
+Various/Bienias_Adam/Zdzisio_2.sap
+Various/Czartynski_Marcin/Asskicker_Main_Part.sap
+Various/Czartynski_Marcin/Asskicker_Menu.sap
+Various/Czartynski_Marcin/Asskicker_Outro.sap
+Various/Czartynski_Marcin/Cedyn1.sap
+Various/Czartynski_Marcin/Exodus.sap
+Various/Czartynski_Marcin/Outer_Part_I.sap
+Various/Drozdowski_Marek/APC_Part.sap
+Various/Drozdowski_Marek/Lemmings_2.sap
+Various/Drozdowski_Marek/Shake.sap
+Various/Duesterhoeft_Stephan/Funky_Rock.sap
+Various/Duesterhoeft_Stephan/Glide.sap
+Various/Duesterhoeft_Stephan/Hobbytronic_90_1.sap
+Various/Duesterhoeft_Stephan/Hobbytronic_90_2.sap
+Various/Duesterhoeft_Stephan/Hobbytronic_90_3.sap
+Various/Duesterhoeft_Stephan/Hobbytronic_90_4.sap
+Various/Duesterhoeft_Stephan/Hobbytronic_90_5.sap
+Various/Duesterhoeft_Stephan/Hobbytronic_90_6.sap
+Various/Duesterhoeft_Stephan/Morbit.sap
+Various/Duesterhoeft_Stephan/Rythms.sap
+Various/Duesterhoeft_Stephan/Song.sap
+Various/Galinski_Adrian/Abdicus.sap
+Various/Galinski_Adrian/Bells.sap
+Various/Galinski_Adrian/Classic_Secret.sap
+Various/Galinski_Adrian/Classic_Secret_Sampled.sap
+Various/Galinski_Adrian/Contribution.sap
+Various/Galinski_Adrian/Daxey.sap
+Various/Galinski_Adrian/Demology_1.sap
+Various/Galinski_Adrian/Demology_2.sap
+Various/Galinski_Adrian/Demology_3.sap
+Various/Galinski_Adrian/Demology_4.sap
+Various/Galinski_Adrian/Demology_5.sap
+Various/Galinski_Adrian/Demology_6.sap
+Various/Galinski_Adrian/Drop_It.sap
+Various/Galinski_Adrian/Fuck_And_Roll.sap
+Various/Galinski_Adrian/Guard.sap
+Various/Galinski_Adrian/Intel_Outside_Dots_And_Pl.sap
+Various/Galinski_Adrian/Intel_Outside_End_Scroll.sap
+Various/Galinski_Adrian/Intel_Outside_Fractal_Part.sap
+Various/Galinski_Adrian/Intel_Outside_Scrollers.sap
+Various/Galinski_Adrian/Intel_Outside_The_Intro.sap
+Various/Galinski_Adrian/Intel_Outside_Vector_Part.sap
+Various/Galinski_Adrian/Midnight.sap
+Various/Galinski_Adrian/Rockman_1.sap
+Various/Galinski_Adrian/Rockman_2.sap
+Various/Husak_Jakub/Aquanaut.sap
+Various/Husak_Jakub/Bank_Bang_2.sap
+Various/Husak_Jakub/Bank_Bang_Title.sap
+Various/Husak_Jakub/Duch.sap
+Various/Husak_Jakub/Five_To_Five.sap
+Various/Husak_Jakub/Garfield.sap
+Various/Husak_Jakub/Helix.sap
+Various/Husak_Jakub/Inspector.sap
+Various/Husak_Jakub/Opanowanie_Swiata.sap
+Various/Husak_Jakub/Problem_Jasia_1.sap
+Various/Husak_Jakub/Problem_Jasia_2.sap
+Various/Husak_Jakub/Problem_Jasia_3.sap
+Various/Husak_Jakub/Tanks.sap
+Various/Husak_Jakub/Thinker_1.sap
+Various/Husak_Jakub/Thinker_2.sap
+Various/Husak_Jakub/Ucieczka_W_Nicosc.sap
+Various/Husak_Jakub/Warsaw_Tetris.sap
+Various/Husak_Jakub/Wodospadem_Czasu.sap
+Various/Husak_Jakub/Wsrod_Gwiazd.Nadzieji.sap
+Various/Kalinowski_Bartosz/Hivmania.sap
+Various/Kalinowski_Bartosz/Kapitan_Planeta.sap
+Various/Kalinowski_Bartosz/Robin_1.sap
+Various/Kalinowski_Bartosz/Robin_2.sap
+Various/Kalinowski_Bartosz/Shadows_Party_Invitro.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_1.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_2.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_3.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_4.sap
+Various/Kwiatek_Grzegorz/97th_Last_Party_Invitro_1.sap
+Various/Kwiatek_Grzegorz/97th_Last_Party_Invitro_2.sap
+Various/Kwiatek_Grzegorz/Back_to_Life_Intro.sap
+Various/Kwiatek_Grzegorz/Back_to_Life_Main_Part.sap
+Various/Kwiatek_Grzegorz/Energy_1_3.sap
+Various/Kwiatek_Grzegorz/Energy_1_Intro.sap
+Various/Kwiatek_Grzegorz/Recycle.sap
+Various/Liebich_Tomasz/Alien.sap
+Various/Liebich_Tomasz/Armageddon.sap
+Various/Liebich_Tomasz/Aurum.sap
+Various/Liebich_Tomasz/Blood_Fighter_1.sap
+Various/Liebich_Tomasz/Blood_Fighter_2.sap
+Various/Liebich_Tomasz/Dark_Abyss.sap
+Various/Liebich_Tomasz/Deimos.sap
+Various/Liebich_Tomasz/Dictum_Acerbum.sap
+Various/Liebich_Tomasz/Duksap_1.sap
+Various/Liebich_Tomasz/Duksap_2.sap
+Various/Liebich_Tomasz/Duksap_3.sap
+Various/Liebich_Tomasz/Fucked_Vocabulary.sap
+Various/Liebich_Tomasz/Hawkmoon.sap
+Various/Liebich_Tomasz/Hi_Alf.sap
+Various/Liebich_Tomasz/Landscape.sap
+Various/Liebich_Tomasz/Lowca.sap
+Various/Liebich_Tomasz/Piekielko_1.sap
+Various/Liebich_Tomasz/Piekielko_2.sap
+Various/Liebich_Tomasz/Ship.sap
+Various/Liebich_Tomasz/Sky_Computer_Network.sap
+Various/Liebich_Tomasz/Smus.sap
+Various/Liebich_Tomasz/Snowball.sap
+Various/Liebich_Tomasz/Snowball_Ingame.sap
+Various/Liebich_Tomasz/Tusker.sap
+Various/Liebich_Tomasz/Vicky_1.sap
+Various/Liebich_Tomasz/Vicky_2.sap
+Various/Liebich_Tomasz/Vicky_3.sap
+Various/Liebich_Tomasz/Vicky_4.sap
+Various/Liebich_Tomasz/Wloczykij.sap
+Various/Makowski_Robert/Alfaboot_1.sap
+Various/Makowski_Robert/Alfaboot_2.sap
+Various/Makowski_Robert/Dream.sap
+Various/Makowski_Robert/Ilusion.sap
+Various/Makowski_Robert/Phone.sap
+Various/Makowski_Robert/Techno.sap
+Various/Martin_Aleksander/Extract.sap
+Various/Martin_Aleksander/Mr_Proper.sap
+Various/Martin_Aleksander/Mr_Proper_Ingame.sap
+Various/Pelc_Janusz/Captain_Gather.sap
+Various/Pelc_Janusz/Enola.sap
+Various/Pelc_Janusz/Fred.sap
+Various/Pelc_Janusz/Lasermania.sap
+Various/Pelc_Janusz/Mission.sap
+Various/Pelc_Janusz/Trix.sap
+Various/Swierszcz_Piotr/Intel_Outside_4_Intro.sap
+Various/Swierszcz_Piotr/Popcorn.sap
+Various/Swierszcz_Piotr/Rebellion_Battle.sap
+Various/Swierszcz_Piotr/Rebellion_Rise.sap
+Various/Swierszcz_Piotr/Rebellion_Victory.sap
+Various/Swierszcz_Piotr/The_Pain.sap
+Various/Sychowicz_Lukasz/Barymag_2_1.sap
+Various/Sychowicz_Lukasz/Barymag_2_2.sap
+Various/Sychowicz_Lukasz/Barymag_2_3.sap
+Various/Sychowicz_Lukasz/Barymag_2_4.sap
+Various/Sychowicz_Lukasz/Barymag_2_5.sap
+Various/Sychowicz_Lukasz/Barymag_2_6.sap
+Various/Sychowicz_Lukasz/Barymag_2_7.sap
+Various/Sychowicz_Lukasz/Barymag_2_8.sap
+Various/Sychowicz_Lukasz/Barymag_2_Intro.sap
+Various/Sychowicz_Lukasz/Drunk_Chessboard.sap
+Various/Sychowicz_Lukasz/Halo.sap
+Various/Sychowicz_Lukasz/Hypek.sap
+Various/Sychowicz_Lukasz/Overmind_End.sap
+Various/Sychowicz_Lukasz/X_Ray_1.sap
+Various/Sychowicz_Lukasz/X_Ray_2.sap
+Various/Szymczuk_Daniel/Darkness_Hour.sap
+Various/Szymczuk_Daniel/Darkness_Hour_End.sap
+Various/Szymczuk_Daniel/Darkness_Hour_Ingame.sap
+Various/Szymczuk_Daniel/Loriens_Tomb.sap
+Various/Szymczuk_Daniel/Loriens_Tomb_Game_Over.sap
+Various/Trokowicz_B/Miecze_Valdgira_II.sap
+Various/Trokowicz_B/Miecze_Valdgira_Ingame.sap
+Various/Trokowicz_B/Miecze_Valdgira_Title.sap
+Various/Vogt_Dariusz/Ballada_O_Januszku.sap
+Various/Vogt_Dariusz/Maluchem_Na_Party.sap
+Various/Vogt_Dariusz/Najebany_Mikolajza.sap
+Various/Zur-soft/The_Top_2.sap
+Various/Zur-soft/The_Top_3_End_Scroll.sap
+Various/Zur-soft/The_Top_3_Part_1.sap
+Various/Zur-soft/The_Top_3_Part_3.sap
+Various/Zur-soft/The_Top_3_Part_6.sap