Index: trunk/asma/Docs/Update10.txt
===================================================================
--- trunk/asma/Docs/Update10.txt	(revision 49)
+++ trunk/asma/Docs/Update10.txt	(revision 50)
@@ -1,150 +1,368 @@
 ASMA Update #10
-Date: August 4, 2001
 
-These rips together with the original ASMA collection will make version 2.0
-of the ASMA (out of version 1.9).
+Initial version 1.0
+of the ASMA.
 
-Number of new tunes: 70
-Credits fixes: 25
-Filename and location changes: 27
-Better rips: 5
+Number of new tunes: 359
 
 New tunes
 ---------
-Classics\Brooke_Jason\Rockford.sap
-Classics\Cornelius_Orall\Sidewinder_2.sap
-Classics\Cornelius_Orall\Slingshot.sap
-Classics\Gilmore_Adam\Jocky_Wilsons_Darts_Compen.sap
-Games\Classic\Cavelord.sap
-Games\Classic\Gauntlet.sap
-Games\Classic\Vanguard.sap
-Demos\Asskicker_Hidden_Part.sap
-Demos\Grass_Slideshow_Intro.sap
-Demos\Robot_Demo.sap
-Demos\Te_mod.sap
-Games\Classic\Alley_Cat.sap
-Games\Classic\Capture_the_Flag.sap
-Games\Classic\Capture_the_Flag_Sirius.sap
-Games\Classic\Decathlon.sap
-Games\Classic\Fire_Chief.sap
-Games\Classic\Flip_and_Flop.sap
-Games\Classic\Mr_Robot_and_His_Robot_Fac.sap
-Games\Classic\One_Man_and_His_Droid.sap
-Games\Classic\Pac_Man.sap
-Games\Classic\Pac_Man_Eric_Wolz.sap
-Games\Classic\Speed_Matter.sap
-Games\Classic\Strip_Poker.sap
-Games\Classic\Tapper.sap
-Games\Various\Megablast.sap
-Unsorted\Abbuc_39.sap
-Unsorted\Back_to_Life.sap
-Unsorted\Forest.sap
-Unsorted\Lamaliza.sap
-Unsorted\Short.sap
-Various\Badkowski_Marek\Drunklob.sap
-Various\Badkowski_Marek\Mental_Age.sap
-Various\Badkowski_Marek\Mental_Age_End.sap
-Various\Bienias_Adam\Overmind_4.sap
-Various\Bienias_Adam\Overmind_9.sap
-Various\Flash\Grass_Slideshow_End.sap
-Various\Flash\Grass_Slideshow_Main.sap
-Various\Hard_Software\Cool_Emotion_Chessboard.sap
-Various\Hard_Software\Cool_Emotion_End.sap
-Various\Hard_Software\Cool_Emotion_First_Part.sap
-Various\Hard_Software\Cool_Emotion_Ghostbusters.sap
-Various\Hard_Software\Cool_Emotion_Heal_the_World.sap
-Various\Hard_Software\Cool_Emotion_Plasma.sap
-Various\Hard_Software\Cool_Emotion_Scrolls.sap
-Various\Hard_Software\Veronika_1.sap
-Various\Hard_Software\Veronika_2.sap
-Various\Hard_Software\Veronika_3.sap
-Various\Hard_Software\Veronika_4.sap
-Various\Hard_Software\Veronika_5.sap
-Various\Hard_Software\Veronika_6.sap
-Various\Hard_Software\Veronika_Intro.sap
-Various\Laciak_Pavol\Starway.sap
-Various\Laciak_Pavol\Theme_from_Beerland.sap
-Various\Laciak_Pavol\Wild_Jet.sap
-Various\Liebich_Tomasz\Perestroyka_Channel_1.sap
-Various\Martin_Aleksander\More.sap
-Various\Cierkonski_Michal\Alcoholic_Bewerages.sap
-Various\Cierkonski_Michal\Alcoholics_Delirium.sap
-Various\Cierkonski_Michal\Coitus_Interruptus.sap
-Various\Cierkonski_Michal\Polyphonic_Pollution.sap
-Various\Cierkonski_Michal\Wit_Beer_Forever.sap
-Various\Oscadal_Filip\Lemmings_Intro_2.sap
-Various\Radzikowski_Ireneusz\Comeback.sap
-Various\Sychowicz_Lukasz\Overmind_3.sap
-Various\Sychowicz_Lukasz\Overmind_8.sap
-Various\Swierszcz_Piotr\Good_1.sap
-Various\Swierszcz_Piotr\Good_2.sap
-Various\Swierszcz_Piotr\Good_3.sap
-Various\Swierszcz_Piotr\Jimmy.sap
-Various\Swierszcz_Piotr\Overmind_TLB_546_Dots.sap
-
-Credits fixes
--------------
-Classics\Brooke_Jason\180.sap : DATE "1987"
-Classics\Brooke_Jason\Feud.sap : DATE "1987"
-Classics\Gilmore_Adam\Blinkys_Scary_School.sap : DATE "1990"
-Classics\Gilmore_Adam\Jocky_Wilsons_Darts_Chall.sap : DATE "1988"
-Classics\Gilmore_Adam\Las_Vegas_Casino.sap : DATE "1988"
-Classics\Gilmore_Adam\Zybex.sap : DATE "1988"
-Classics\Hubbard_Rob\Extirpator.sap : DATE "1987"
-Classics\Hubbard_Rob\International_Karate.sap : DATE "1986"
-Classics\Munns_Richard\Plastron.sap : NAME "Plastron" DATE "1990"
-Classics\Whittaker_David\Amaurote.sap : DATE "1987"
-Classics\Whittaker_David\Panther.sap : DATE "1987"
-Demos\Strange_Mountains.sap : AUTHOR "Jiri Bernasek (Bewesoft)"
-Games\Classic\Axis_Slotmachine.sap : AUTHOR "Christoph Schulte-Vennbur"
-Games\Classic\Bomb_Fusion.sap : AUTHOR "<?> (Riff)" DATE "1989"
-Games\Classic\Milk_Race.sap : AUTHOR "Tiny Williams" DATE "1987"
-Games\Classic\Spy_vs_Spy_3.sap : AUTHOR "Nick Scarim" DATE "1986"
-Games\Classic\Zorro.sap : DATE "1985"
-Games\Various\Puzmania.sap : AUTHOR "Ireneusz Radzikowski (Jager)"
-Various\Hard_Software\Joyride_End.sap : AUTHOR "Jeroen Tel / <?> (Hard Software)
-Various\Hard_Software\Joyride_Landscape.sap : AUTHOR "Alain Hertenstein (Iron Cat) / <?> (Hard Software)"
-Various\Hard_Software\Joyride_Scrolls.sap : AUTHOR "Thomas E. Petersen (Laxity) / <?> (Hard Software)"
-Various\Hard_Software\Joyride_Turn_Disk.sap : AUTHOR "Markus Schneider / <?> (Hard Software)"
-Various\Liebich_Tomasz\Technus.sap : AUTHOR "Tomasz Liebich" DATE "1993"
-Various\Oscadal_Filip\Lemmings_Intro.sap : DATE "1993"
-Various\Sychowicz_Lukasz\Overmind_TLB.sap : NAME "Ovedmind (TLB)"
-Various\Wasilewski_Dariusz\Technoid.sap : DATE "1995"
-
-Filename and location changes (these may change also because of credits fix)
------------------------------
-Classics\Daglish_Ben\Basil.sap > Games\Classic\
-Classics\Whittaker_David\Milk_Race.sap > Games\Classic\
-Demos\Annael.sap > Various\Flash\
-Demos\Joyride_End.sap > Various\Hard_Software\
-Demos\Joyride_Info.sap > Various\Hard_Software\
-Demos\Joyride_Juggler.sap > Various\Hard_Software\
-Demos\Joyride_Landscape.sap > Various\Hard_Software\
-Demos\Joyride_Plasma.sap > Various\Hard_Software\
-Demos\Joyride_Scrolls.sap > Various\Hard_Software\
-Demos\Joyride_Tunnel.sap > Various\Hard_Software\
-Demos\Joyride_Turn_Disk.sap > Various\Hard_Software\
-Demos\Joyride_Twirl.sap > Various\Hard_Software\
-Demos\Lemmings_Intro_2.sap > Various\Oscadal_Filip\
-Games\Various\Bomb_Fusion.sap > Games\Classic
-Games\Various\Microx.sap > Various\Oscadal_Filip\
-Games\Various\Puzmania.sap > Various\Radzikowski_Ireneusz\
-Unsorted\Back_to_Life.sap > Various\Radzikowski_Ireneusz\
-Various\Badkowski_Marek\Energy_1_1.sap > Deafman.sap
-Various\Cornelius_Orall\Ruff_And_Reddy.sap > Classics\Cornelius_Orall\
-Various\Cornelius_Orall\Speed_Hawk.sap > Classics\Cornelius_Orall\
-Various\Cornelius_Orall\Tiger_Attack.sap > Classics\Cornelius_Orall\
-Various\Lepkowski_Michal\Debilizator_1_Music_5.sap > Incredible_Story.sap
-Various\Morgoth\ > Various\Cierkonski_Michal\ (All songs in this directory have credits fixed)
-Various\Sychowicz_Lukasz\Overmind_4.sap > Overmind_10.sap
-Various\Szpilowski_Michal\Overmind_3.sap > Overmind_6.sap
-Various\Sychowicz_Lukasz\Overmind_Final.sap > Overmind_TLB_End.sap
-Various\Sychowicz_Lukasz\Taquart_Demo_Loader.sap > Overmind_11.sap
-
-Better rips
------------
-Classics\Brooke_Jason\180.sap - subsong counter now works as it should
-Classics\Gilmore_Adam\Arcade_Fruit_Machine_Simul.sap - smaller rip, init works
-Classics\Whittaker_David\BMX_Simulator.sap - subsongs added
-Various\Liebich_Tomasz\Technus.sap - subsong added
-Various\Vybostok_Marian\Dynakillers.sap - subsong added
+Classics/Brooke_Jason/180.sap
+Classics/Brooke_Jason/Feud.sap
+Classics/Daglish_Ben/Basil.sap
+Classics/Gilmore_Adam/Blinkys_Scary_School.sap
+Classics/Gilmore_Adam/Draconus.sap
+Classics/Gilmore_Adam/Jocky_Wilsons_Darts_Chall.sap
+Classics/Gilmore_Adam/Las_Vegas_Casino.sap
+Classics/Gilmore_Adam/Mountain_Bike.sap
+Classics/Gilmore_Adam/Ninja_Commando.sap
+Classics/Gilmore_Adam/Zybex.sap
+Classics/Hubbard_Rob/Extirpator.sap
+Classics/Hubbard_Rob/International_Karate.sap
+Classics/Hubbard_Rob/Jet_Set_Willy.sap
+Classics/Hubbard_Rob/Last_V8.sap
+Classics/Hubbard_Rob/Warhawk.sap
+Classics/Munns_Richard/Black_Lamp.sap
+Classics/Munns_Richard/Black_Lamp_Ingame.sap
+Classics/Munns_Richard/Heart_Break.sap
+Classics/Munns_Richard/Plastron.sap
+Classics/Munns_Richard/Plastron_Ingame.sap
+Classics/Munns_Richard/Rebound.sap
+Classics/Munns_Richard/Tube_Baddies.sap
+Classics/Whittaker_David/Amaurote.sap
+Classics/Whittaker_David/BMX_Simulator.sap
+Classics/Whittaker_David/Colony.sap
+Classics/Whittaker_David/Elektra_Glide.sap
+Classics/Whittaker_David/Grand_Prix_Simulator.sap
+Classics/Whittaker_David/Living_Daylights.sap
+Classics/Whittaker_David/Milk_Race.sap
+Classics/Whittaker_David/Panther.sap
+Classics/Whittaker_David/Red_Max.sap
+Classics/Whittaker_David/Storm.sap
+Classics/Whittaker_David/Trans_Muter.sap
+Demos/Das_Omen.sap
+Demos/Delirium_Tremens.sap
+Demos/Dual_Yellow_Energy.sap
+Demos/Hobbytronic_89_1.sap
+Demos/Hobbytronic_89_2.sap
+Demos/Hobbytronic_90_2.sap
+Demos/Hobbytronic_92_1.sap
+Demos/Hobbytronic_92_2.sap
+Demos/Intro_97.sap
+Demos/Invitro_Orneta_95.sap
+Demos/Lunatic.sap
+Demos/Movements.sap
+Demos/Strange_Mountains_II.sap
+Demos/Tekkno.sap
+Demos/The_Top_2.sap
+Demos/The_Top_2_Digi_Part.sap
+Demos/Time_To_Enjoy.sap
+Demos/Title_Song.sap
+Demos/Unite.sap
+Games/Classic/Astrochase.sap
+Games/Classic/Blip.sap
+Games/Classic/Blue_Max.sap
+Games/Classic/Blue_Max_2000.sap
+Games/Classic/Boulder_Dash.sap
+Games/Classic/Capt_Stickys_Gold.sap
+Games/Classic/Caverns_of_Khafka.sap
+Games/Classic/Claim_Jumper.sap
+Games/Classic/Conan.sap
+Games/Classic/Crazy_Copter.sap
+Games/Classic/Diamonds.sap
+Games/Classic/Ghost_Chaser.sap
+Games/Classic/Leggit.sap
+Games/Classic/Loco.sap
+Games/Classic/Master_of_Time.sap
+Games/Classic/Mule.sap
+Games/Classic/Nadral.sap
+Games/Classic/Ninja.sap
+Games/Classic/Protector_II.sap
+Games/Classic/Quasimodo.sap
+Games/Classic/Reachout.sap
+Games/Classic/Robin_Hood.sap
+Games/Classic/Shamus.sap
+Games/Classic/Special_Delivery.sap
+Games/Classic/Spiky_Harold.sap
+Games/Classic/Spy_Hunter.sap
+Games/Classic/Spy_vs_Spy.sap
+Games/Classic/Spy_vs_Spy_3.sap
+Games/Classic/Submission.sap
+Games/Classic/Taxicab_Hill.sap
+Games/Classic/William_Tell.sap
+Games/Classic/Winter_Games_88_Biathlon.sap
+Games/Classic/Winter_Games_88_Bobsled.sap
+Games/Classic/Winter_Games_88_Downhill.sap
+Games/Classic/Winter_Games_88_Ski_Jump.sap
+Games/Classic/Winter_Games_88_Slalom.sap
+Games/Various/Adax.sap
+Games/Various/Adax_Ingame.sap
+Games/Various/Axilox.sap
+Games/Various/Barahir.sap
+Games/Various/Biathlon.sap
+Games/Various/Bomb_Fusion.sap
+Games/Various/Bombay.sap
+Games/Various/Digi_Duck.sap
+Games/Various/Drutt.sap
+Games/Various/Dynakillers_Demo.sap
+Games/Various/Fatum.sap
+Games/Various/Fatum_Ingame.sap
+Games/Various/Fatum_Intro.sap
+Games/Various/Hans_Kloss.sap
+Games/Various/Jaffar.sap
+Games/Various/Jet_Action.sap
+Games/Various/King_Of_Killers.sap
+Games/Various/Magia_Krysztalu.sap
+Games/Various/Major_Bronx.sap
+Games/Various/Micro_Man.sap
+Games/Various/Micro_Man_Ingame.sap
+Games/Various/Microx.sap
+Games/Various/Missile_Action.sap
+Games/Various/Muff_1.sap
+Games/Various/Muff_2.sap
+Games/Various/Muff_3.sap
+Games/Various/Najemnik.sap
+Games/Various/Puzmania.sap
+Games/Various/Reverse.sap
+Games/Various/SEX_Versi.sap
+Games/Various/SOS_Saturn.sap
+Games/Various/Saper.sap
+Games/Various/Spy_Master.sap
+Games/Various/Super_Heart.sap
+Games/Various/Technoid.sap
+Games/Various/U235.sap
+Games/Various/U235_2.sap
+Games/Various/Zeus.sap
+Unsorted/906090.sap
+Unsorted/Abbuc_20_2.sap
+Unsorted/Abbuc_38.sap
+Unsorted/Alchemia.sap
+Unsorted/Autum.sap
+Unsorted/Axis.sap
+Unsorted/Benny.sap
+Unsorted/Big_Zine_1_Greetings.sap
+Unsorted/Big_Zine_1_Invitro.sap
+Unsorted/CompyShop_Magazine_Intro_1.sap
+Unsorted/CompyShop_Magazine_Intro_2.sap
+Unsorted/CompyShop_Magazine_Intro_3.sap
+Unsorted/CompyShop_Magazine_Intro_4.sap
+Unsorted/Condor.sap
+Unsorted/Cool.sap
+Unsorted/Deathlan.sap
+Unsorted/Demo1.sap
+Unsorted/Demo2.sap
+Unsorted/Dracon1.sap
+Unsorted/Endless1.sap
+Unsorted/Endless2.sap
+Unsorted/Endless3.sap
+Unsorted/Endless4.sap
+Unsorted/Endless5.sap
+Unsorted/Gallahad.sap
+Unsorted/Hcl3.sap
+Unsorted/Hcl5.sap
+Unsorted/Introd.sap
+Unsorted/Janosik.sap
+Unsorted/Ksiaze.sap
+Unsorted/Magnetic_Fields.sap
+Unsorted/Monty_Demo.sap
+Unsorted/Music1.sap
+Unsorted/Music2.sap
+Unsorted/Mymusic.sap
+Unsorted/New1.sap
+Unsorted/Nonsense_War.sap
+Unsorted/Ranger1.sap
+Unsorted/Ranger2.sap
+Unsorted/Ranger3.sap
+Unsorted/Ranger4.sap
+Unsorted/Ranger5.sap
+Unsorted/Ranger6.sap
+Unsorted/Ranger7.sap
+Unsorted/Ranger8.sap
+Unsorted/Ranger9.sap
+Unsorted/Self_Test.sap
+Unsorted/Shakemix.sap
+Unsorted/Spellbound_Partial_Version.sap
+Unsorted/Teacher1.sap
+Unsorted/That_Demo_1.sap
+Unsorted/Think.sap
+Unsorted/Unknown.sap
+Unsorted/Yamaha.sap
+Unsorted/Zepi.sap
+Various/Badkowski_Marek/Energy_1_1.sap
+Various/Badkowski_Marek/Fad_Face.sap
+Various/Badkowski_Marek/Intel_Outside_4_Invitro.sap
+Various/Badkowski_Marek/Paradise.sap
+Various/Bienias_Adam/Bitter_Reality.sap
+Various/Bienias_Adam/Bitter_Reality_Farewell.sap
+Various/Bienias_Adam/Bitter_Reality_Filet_Lazma.sap
+Various/Bienias_Adam/Joins_1.sap
+Various/Bienias_Adam/Joins_2.sap
+Various/Bienias_Adam/Just_Fancy.sap
+Various/Bienias_Adam/Music_1.sap
+Various/Bienias_Adam/Train.sap
+Various/Bienias_Adam/Zdzisio_1.sap
+Various/Bienias_Adam/Zdzisio_2.sap
+Various/Czartynski_Marcin/Asskicker_Main_Part.sap
+Various/Czartynski_Marcin/Asskicker_Menu.sap
+Various/Czartynski_Marcin/Asskicker_Outro.sap
+Various/Czartynski_Marcin/Cedyn1.sap
+Various/Czartynski_Marcin/Energy_1_5.sap
+Various/Czartynski_Marcin/Exodus.sap
+Various/Czartynski_Marcin/Outer_Part_I.sap
+Various/Drozdowski_Marek/APC_Part.sap
+Various/Drozdowski_Marek/Lemmings_2.sap
+Various/Drozdowski_Marek/Shake.sap
+Various/Duesterhoeft_Stephan/Big_Scroller_Song.sap
+Various/Duesterhoeft_Stephan/Drum_Power_I.sap
+Various/Duesterhoeft_Stephan/Drum_Power_II.sap
+Various/Duesterhoeft_Stephan/Funky_Rock.sap
+Various/Duesterhoeft_Stephan/Glide.sap
+Various/Duesterhoeft_Stephan/Monster_Song.sap
+Various/Duesterhoeft_Stephan/Morbit.sap
+Various/Duesterhoeft_Stephan/Point_Demo_Song.sap
+Various/Duesterhoeft_Stephan/Rythms.sap
+Various/Duesterhoeft_Stephan/Song.sap
+Various/Galinski_Adrian/Abdicus.sap
+Various/Galinski_Adrian/Bells.sap
+Various/Galinski_Adrian/Classic_Secret.sap
+Various/Galinski_Adrian/Classic_Secret_Sampled.sap
+Various/Galinski_Adrian/Contribution.sap
+Various/Galinski_Adrian/Daxey.sap
+Various/Galinski_Adrian/Demology_1.sap
+Various/Galinski_Adrian/Demology_2.sap
+Various/Galinski_Adrian/Demology_3.sap
+Various/Galinski_Adrian/Demology_4.sap
+Various/Galinski_Adrian/Demology_5.sap
+Various/Galinski_Adrian/Demology_6.sap
+Various/Galinski_Adrian/Drop_It.sap
+Various/Galinski_Adrian/Fuck_And_Roll.sap
+Various/Galinski_Adrian/Guard.sap
+Various/Galinski_Adrian/Intel_Outside_Dots_And_Pl.sap
+Various/Galinski_Adrian/Intel_Outside_End_Scroll.sap
+Various/Galinski_Adrian/Intel_Outside_Fractal_Part.sap
+Various/Galinski_Adrian/Intel_Outside_Scrollers.sap
+Various/Galinski_Adrian/Intel_Outside_The_Intro.sap
+Various/Galinski_Adrian/Intel_Outside_Vector_Part.sap
+Various/Galinski_Adrian/Midnight.sap
+Various/Galinski_Adrian/Rockman_1.sap
+Various/Galinski_Adrian/Rockman_2.sap
+Various/Husak_Jakub/Aquanaut.sap
+Various/Husak_Jakub/Bank_Bang_2.sap
+Various/Husak_Jakub/Bank_Bang_Title.sap
+Various/Husak_Jakub/Duch.sap
+Various/Husak_Jakub/Five_To_Five.sap
+Various/Husak_Jakub/Garfield.sap
+Various/Husak_Jakub/Helix.sap
+Various/Husak_Jakub/Inspector.sap
+Various/Husak_Jakub/Opanowanie_Swiata.sap
+Various/Husak_Jakub/Problem_Jasia_1.sap
+Various/Husak_Jakub/Problem_Jasia_2.sap
+Various/Husak_Jakub/Problem_Jasia_3.sap
+Various/Husak_Jakub/Tanks.sap
+Various/Husak_Jakub/Thinker_1.sap
+Various/Husak_Jakub/Thinker_2.sap
+Various/Husak_Jakub/Ucieczka_W_Nicosc.sap
+Various/Husak_Jakub/Warsaw_Tetris.sap
+Various/Husak_Jakub/Wodospadem_Czasu.sap
+Various/Husak_Jakub/Wsrod_Gwiazd.Nadzieji.sap
+Various/Kalinowski_Bartosz/Hivmania.sap
+Various/Kalinowski_Bartosz/Kapitan_Planeta.sap
+Various/Kalinowski_Bartosz/Paczka_Tynku.sap
+Various/Kalinowski_Bartosz/Robin_1.sap
+Various/Kalinowski_Bartosz/Robin_2.sap
+Various/Kalinowski_Bartosz/Shadows_Party_Invitro.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_1.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_2.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_3.sap
+Various/Kalinowski_Bartosz/Sweet_Illusions_4.sap
+Various/Kwiatek_Grzegorz/97th_Last_Party_Invitro_1.sap
+Various/Kwiatek_Grzegorz/97th_Last_Party_Invitro_2.sap
+Various/Kwiatek_Grzegorz/Back_to_Life_Intro.sap
+Various/Kwiatek_Grzegorz/Back_to_Life_Main_Part.sap
+Various/Kwiatek_Grzegorz/Energy_1_3.sap
+Various/Kwiatek_Grzegorz/Energy_1_Intro.sap
+Various/Kwiatek_Grzegorz/Recycle.sap
+Various/Liebich_Tomasz/Alien.sap
+Various/Liebich_Tomasz/Armageddon.sap
+Various/Liebich_Tomasz/Aurum.sap
+Various/Liebich_Tomasz/Blood_Fighter_1.sap
+Various/Liebich_Tomasz/Blood_Fighter_2.sap
+Various/Liebich_Tomasz/Dark_Abyss.sap
+Various/Liebich_Tomasz/Deimos.sap
+Various/Liebich_Tomasz/Dictum_Acerbum.sap
+Various/Liebich_Tomasz/Duksap_1.sap
+Various/Liebich_Tomasz/Duksap_2.sap
+Various/Liebich_Tomasz/Duksap_3.sap
+Various/Liebich_Tomasz/Fucked_Vocabulary.sap
+Various/Liebich_Tomasz/Hawkmoon.sap
+Various/Liebich_Tomasz/Hi_Alf.sap
+Various/Liebich_Tomasz/Landscape.sap
+Various/Liebich_Tomasz/Lowca.sap
+Various/Liebich_Tomasz/Piekielko_1.sap
+Various/Liebich_Tomasz/Piekielko_2.sap
+Various/Liebich_Tomasz/Ship.sap
+Various/Liebich_Tomasz/Sky_Computer_Network.sap
+Various/Liebich_Tomasz/Smus.sap
+Various/Liebich_Tomasz/Snowball.sap
+Various/Liebich_Tomasz/Snowball_Ingame.sap
+Various/Liebich_Tomasz/Technus.sap
+Various/Liebich_Tomasz/Tusker.sap
+Various/Liebich_Tomasz/Vicky_1.sap
+Various/Liebich_Tomasz/Vicky_2.sap
+Various/Liebich_Tomasz/Vicky_3.sap
+Various/Liebich_Tomasz/Vicky_4.sap
+Various/Liebich_Tomasz/Wloczykij.sap
+Various/Makowski_Robert/Alfaboot_1.sap
+Various/Makowski_Robert/Alfaboot_2.sap
+Various/Makowski_Robert/Dream.sap
+Various/Makowski_Robert/Ilusion.sap
+Various/Makowski_Robert/Phone.sap
+Various/Makowski_Robert/Techno.sap
+Various/Martin_Aleksander/Extract.sap
+Various/Martin_Aleksander/Mr_Proper.sap
+Various/Martin_Aleksander/Mr_Proper_Ingame.sap
+Various/Pelc_Janusz/Captain_Gather.sap
+Various/Pelc_Janusz/Enola.sap
+Various/Pelc_Janusz/Fred.sap
+Various/Pelc_Janusz/Lasermania.sap
+Various/Pelc_Janusz/Mission.sap
+Various/Pelc_Janusz/Trix.sap
+Various/Swierszcz_Piotr/Energy_1_2.sap
+Various/Swierszcz_Piotr/Intel_Outside_4_Intro.sap
+Various/Swierszcz_Piotr/Popcorn.sap
+Various/Swierszcz_Piotr/Rebellion_Battle.sap
+Various/Swierszcz_Piotr/Rebellion_Rise.sap
+Various/Swierszcz_Piotr/Rebellion_Victory.sap
+Various/Swierszcz_Piotr/The_Pain.sap
+Various/Sychowicz_Lukasz/Barymag_2_1.sap
+Various/Sychowicz_Lukasz/Barymag_2_2.sap
+Various/Sychowicz_Lukasz/Barymag_2_3.sap
+Various/Sychowicz_Lukasz/Barymag_2_4.sap
+Various/Sychowicz_Lukasz/Barymag_2_5.sap
+Various/Sychowicz_Lukasz/Barymag_2_6.sap
+Various/Sychowicz_Lukasz/Barymag_2_7.sap
+Various/Sychowicz_Lukasz/Barymag_2_8.sap
+Various/Sychowicz_Lukasz/Barymag_2_Intro.sap
+Various/Sychowicz_Lukasz/Drunk_Chessboard.sap
+Various/Sychowicz_Lukasz/Energy_1_4.sap
+Various/Sychowicz_Lukasz/Halo.sap
+Various/Sychowicz_Lukasz/Hypek.sap
+Various/Sychowicz_Lukasz/Overmind_End.sap
+Various/Sychowicz_Lukasz/X_Ray_1.sap
+Various/Sychowicz_Lukasz/X_Ray_2.sap
+Various/Szymczuk_Daniel/Darkness_Hour.sap
+Various/Szymczuk_Daniel/Darkness_Hour_End.sap
+Various/Szymczuk_Daniel/Darkness_Hour_Ingame.sap
+Various/Szymczuk_Daniel/Loriens_Tomb.sap
+Various/Szymczuk_Daniel/Loriens_Tomb_Game_Over.sap
+Various/Trokowicz_B/Miecze_Valdgira_II.sap
+Various/Trokowicz_B/Miecze_Valdgira_Ingame.sap
+Various/Trokowicz_B/Miecze_Valdgira_Title.sap
+Various/Vogt_Dariusz/Ballada_O_Januszku.sap
+Various/Vogt_Dariusz/Maluchem_Na_Party.sap
+Various/Vogt_Dariusz/Najebany_Mikolajza.sap
+Various/Zur-soft/Ace_Plotter.sap
+Various/Zur-soft/The_Top_3_End_Scroll.sap
+Various/Zur-soft/The_Top_3_Part_1.sap
+Various/Zur-soft/The_Top_3_Part_3.sap
+Various/Zur-soft/The_Top_3_Part_6.sap