Index: trunk/asma/new.m3u
===================================================================
--- trunk/asma/new.m3u	(revision 52)
+++ trunk/asma/new.m3u	(revision 54)
@@ -1,128 +1,188 @@
-Demos/Madintro.sap
-Games/Various/Atomia.sap
-Games/Various/Spy_Fucker_Ingame.sap
-Unsorted/Immortal.sap
-Unsorted/Inspiration_Comes_Again.sap
-Unsorted/Rubbish.sap
-Various/Bienias_Adam/Haddaway.sap
-Various/Bienias_Adam/Moonlight_Shadow.sap
-Various/Bienias_Adam/Puzzlenoid_1.sap
-Various/Bienias_Adam/Puzzlenoid_5.sap
-Various/Ce_Pumpkin/R0l0_5_Rulu.sap
-Various/Ce_Pumpkin/Radyjo_M.sap
-Various/Ce_Pumpkin/Too_Hard_4_1.sap
-Various/Ce_Pumpkin/Too_Hard_4_2.sap
-Various/Cierkonski_Michal/Mission_Dupa.sap
-Various/Cierkonski_Michal/Mixer_1.sap
-Various/Cierkonski_Michal/Mixer_2.sap
-Various/Cierkonski_Michal/Qcyk_Intro.sap
-Various/Cierkonski_Michal/Schizophrenics_Vision.sap
-Various/Czlowiek_W_Atomizerze/p0maranCZ0WA_plAma.sap
-Various/Czlowiek_W_Atomizerze/PoCZWArka.sap
-Various/Drozdowski_Marek/Anim2.sap
-Various/Drozdowski_Marek/Polar.sap
-Various/Drozdowski_Marek/Story_2.sap
-Various/Eisenhammer_Zdenek/Retrovibes.sap
-Various/Galinski_Adrian/Crypts_of_Egypt_Ingame.sap
-Various/Grabowski_Pawel/IQ_Master.sap
-Various/Grabowski_Pawel/KULT.sap
-Various/Grabowski_Pawel/Skarbnik.sap
-Various/Grad_Jacek/Artefakt_Przodkow.sap
-Various/Grayscale/Wasiel_Bartek/Forever.sap
-Various/Hay_Adam/A642.sap
-Various/Hay_Adam/Commando.sap
-Various/Hay_Adam/Discozax.sap
-Various/Hay_Adam/Gyges_Will_You_Help_Me.sap
-Various/Jastrzemski_Marcin/Fox.sap
-Various/Kalinowski_Bartosz/End2.sap
-Various/Kalinowski_Bartosz/Fafik.sap
-Various/Kalinowski_Bartosz/Lufab.sap
-Various/Kalinowski_Bartosz/Hivmania_Ingame.sap
-Various/Kalinowski_Bartosz/Miuzik.sap
-Various/Kalinowski_Bartosz/My_Own_World.sap
-Various/Kalinowski_Bartosz/Orevuar.sap
-Various/Kalinowski_Bartosz/Piecyk.sap
-Various/Kalinowski_Bartosz/Politura.sap
-Various/Kalinowski_Bartosz/Pyrkanie.sap
-Various/Kalinowski_Bartosz/Rzaluzja.sap
-Various/Kalinowski_Bartosz/Sleep_Dream.sap
-Various/Kalinowski_Bartosz/Solitax.sap
-Various/Kalinowski_Bartosz/Vicary.sap
-Various/Kalinowski_Bartosz/We_Want_To_Learn_Assembler.sap
-Various/Karwacki_Jakub/Lanos.sap
-Various/Kucharski_Konrad/Fever.sap
-Various/Kucharski_Konrad/My_Ass.sap
-Various/Lepkowski_Michal/Since.sap
-Various/Lepkowski_Michal/The_Mercy.sap
-Various/Lepkowski_Michal/Zero_Sign.sap
-Various/Majewski_Tomasz/Convict.sap
-Various/Majewski_Tomasz/Magic_Fly.sap
-Various/Majewski_Tomasz/Ninja.sap
-Various/Martin_Aleksander/Alex_7.sap
-Various/Martin_Aleksander/Kit_14.sap
-Various/Martin_Aleksander/Waves.sap
-Various/Padula_Jaroslaw/Da_Bass.sap
-Various/Padula_Jaroslaw/Fuckcore.sap
-Various/Padula_Jaroslaw/Keczapek.sap
-Various/Padula_Jaroslaw/Kwas.sap
-Various/Padula_Jaroslaw/Martwa_Cisha.sap
-Various/Padula_Jaroslaw/Psh4_Remix.sap
-Various/Padula_Jaroslaw/Pszykowitz.sap
-Various/Padula_Jaroslaw/So_Old.sap
-Various/Padula_Jaroslaw/Strefa_Smierci.sap
-Various/Padula_Jaroslaw/Very_Very.sap
-Various/Padula_Jaroslaw/Wave_X.sap
-Various/Przybyszewski_Krzysztof/Tanguage.sap
-Various/Pucinski_Rafal/Czarny_Alibaba.sap
-Various/Pucinski_Rafal/Disk.sap
-Various/Pucinski_Rafal/Unknown_4.sap
-Various/Roemer_Markus/Stolen_by.sap
-Various/Sterba_Radek/Cervi2.sap
-Various/Sterba_Radek/Cubico.sap
-Various/Sterba_Radek/It_Doesnt_Matter.sap
-Various/Sterba_Radek/Paul_The_Penguin.sap
-Various/Swierszcz_Piotr/Monday_Song.sap
-Various/Swierszcz_Piotr/Ramaja.sap
-Various/Swierszcz_Piotr/Rapsody_for_Khihal_M.sap
-Various/Swierszcz_Piotr/TBL_TINT_Secondpart.sap
-Various/Szmatola_Krzysztof/Syn_Boga_Wiatru.sap
-Various/Szmatola_Krzysztof/Syn_Boga_Wiatru_Title.sap
-Various/Szpilowski_Michal/Asleep.sap
-Various/Szpilowski_Michal/Baracco.sap
-Various/Szpilowski_Michal/Cherry_Rave_Experimental.sap
-Various/Szpilowski_Michal/Clorox.sap
-Various/Szpilowski_Michal/Creature.sap
-Various/Szpilowski_Michal/Disco_Mix.sap
-Various/Szpilowski_Michal/Docent.sap
-Various/Szpilowski_Michal/Faza_2.sap
-Various/Szpilowski_Michal/Forsaken_Love_2_2.sap
-Various/Szpilowski_Michal/H2SO7.sap
-Various/Szpilowski_Michal/Herman_Ingame.sap
-Various/Szpilowski_Michal/Herman_Intro.sap
-Various/Szpilowski_Michal/Hitting.sap
-Various/Szpilowski_Michal/Intro_BB_2.sap
-Various/Szpilowski_Michal/It_s_Over.sap
-Various/Szpilowski_Michal/Kombi_Nietykalni.sap
-Various/Szpilowski_Michal/Lastmeet.sap
-Various/Szpilowski_Michal/Moscow_1993_Stage_1.sap
-Various/Szpilowski_Michal/Moscow_1993_Stage_2.sap
-Various/Szpilowski_Michal/Moscow_1993_Title.sap
-Various/Szpilowski_Michal/My_First_One_RMT.sap
-Various/Szpilowski_Michal/Oferma.sap
-Various/Szpilowski_Michal/Poseidon.sap
-Various/Szpilowski_Michal/Proper.sap
-Various/Szpilowski_Michal/rAmols_Revenge.sap
-Various/Szpilowski_Michal/Sexy_Six_Ingame_1.sap
-Various/Szpilowski_Michal/Sexy_Six_Ingame_2.sap
-Various/Szpilowski_Michal/Song_12.sap
-Various/Szpilowski_Michal/Song16.sap
-Various/Szpilowski_Michal/Song9.sap
-Various/Szpilowski_Michal/Teacher_Killer_End.sap
-Various/Szpilowski_Michal/Teacher_Killer_Intro.sap
-Various/Szpilowski_Michal/Techdrum.sap
-Various/Szpilowski_Michal/Wayne.sap
-Various/Szpilowski_Michal/Wyprawy_Kupca.sap
-Various/Szpilowski_Michal/X_Demo_Main_Part.sap
-Various/Wasilewski_Dariusz/Buu.sap
-Various/Wasilewski_Dariusz/Labirynt_Smierci.sap
-Various/Witkiewicz_Dariusz/Van_1.sap
+Classics/Cornelius_Orall/Super_Soccer.sap
+Classics/Gilbertson_Gary/AR_City_Guild.sap
+Classics/Gilbertson_Gary/AR_City_Intro.sap
+Classics/Gilbertson_Gary/AR_City_Smithy.sap
+Classics/Gilbertson_Gary/AR_City_Tavern_Dance.sap
+Classics/Gilbertson_Gary/AR_City_Tavern_Dragon.sap
+Classics/Gilbertson_Gary/AR_City_Tavern_Treasure.sap
+Classics/Gilbertson_Gary/Tail_of_Beta_Lyrae.sap
+Classics/Huntington_Glenys/Air_Strike_II.sap
+Demos/Das_Anty_Adolf_Demo_1.sap
+Demos/Das_Anty_Adolf_Demo_2.sap
+Games/Classic/Domain_Of_The_Undead.sap
+Games/Classic/Frogger.sap
+Games/Classic/Frogger_II.sap
+Games/Classic/Jungle_Hunt.sap
+Games/Classic/Keystone_Kapers.sap
+Games/Classic/Screaming_Wings.sap
+Games/Classic/Starquake.sap
+Games/Classic/Tarzan.sap
+Unsorted/DCK_Demosong.sap
+Unsorted/Duke_Nukem_4ever.sap
+Unsorted/Star.sap
+Unsorted/T_H_R_U_S_T.sap
+Unsorted/Tiger.sap
+Unsorted/Tracker.sap
+Unsorted/Trans.sap
+Unsorted/Trash.sap
+Unsorted/Tribal.sap
+Unsorted/Uplywa.sap
+Unsorted/Vaxeen.sap
+Unsorted/Vidol.sap
+Unsorted/Voyager.sap
+Unsorted/War.sap
+Unsorted/Wiosna.sap
+Unsorted/Yeach.sap
+Various/Badkowski_Marek/Crazy_Frog.sap
+Various/Badkowski_Marek/True_Love.sap
+Various/Banaszkiewicz_Michal/Hugo_1.sap
+Various/Banaszkiewicz_Michal/Hugo_2.sap
+Various/Banaszkiewicz_Michal/Hugo_3.sap
+Various/Banaszkiewicz_Michal/Hugo_5.sap
+Various/Banaszkiewicz_Michal/Hugo_6.sap
+Various/Banaszkiewicz_Michal/Hugo_7.sap
+Various/Banaszkiewicz_Michal/Hugotech.sap
+Various/Bienias_Adam/Puzzlenoid_3.sap
+Various/Bienias_Adam/Puzzlenoid_4.sap
+Various/Ce_Pumpkin/MyIDE_Demo_Zwei.sap
+Various/Ce_Pumpkin/Priceless.sap
+Various/Ce_Pumpkin/R0l0_7.sap
+Various/Ce_Pumpkin/R0l0_8.sap
+Various/Czlowiek_W_Atomizerze/Piua_TarCZoWA.sap
+Various/Czlowiek_W_Atomizerze/The_One.sap
+Various/Drozdowski_Marek/Help_Owsiak.sap
+Various/Drozdowski_Marek/Intro_2.sap
+Various/Drozdowski_Marek/Nowa_2.sap
+Various/Duma_Dariusz/DJ_Packer_Intro.sap
+Various/Eisenhammer_Zdenek/Krakout.sap
+Various/Eisenhammer_Zdenek/Lotus_Turbo_Challenge_3.sap
+Various/Eisenhammer_Zdenek/Somewhere.sap
+Various/Eisenhammer_Zdenek/We_re_the_Devils.sap
+Various/Goff_Mark/crab_in_a_cave_final_boss.sap
+Various/Goff_Mark/piano_dodge_bonus_level.sap
+Various/Goff_Mark/seaweed_cipst_underwater.sap
+Various/Golewski_Filip/Kopara.sap
+Various/Golewski_Filip/SFW.sap
+Various/Gora_Jakub/Dog.sap
+Various/Grayscale/Kwiatek_Grzegorz/Back_To_Life_2.sap
+Various/Grayscale/Kwiatek_Grzegorz/Chaos.sap
+Various/Grayscale/Kwiatek_Grzegorz/Destruction.sap
+Various/Grayscale/Kwiatek_Grzegorz/Entry.sap
+Various/Grayscale/Kwiatek_Grzegorz/Guitar.sap
+Various/Grayscale/Kwiatek_Grzegorz/Illusion.sap
+Various/Grayscale/Kwiatek_Grzegorz/Light.sap
+Various/Grayscale/Kwiatek_Grzegorz/Maja.sap
+Various/Grayscale/Kwiatek_Grzegorz/Rain.sap
+Various/Grayscale/Kwiatek_Grzegorz/Sabbath_1.sap
+Various/Grayscale/Kwiatek_Grzegorz/Sweet_DMC_Version.sap
+Various/Grayscale/Sychowicz_Lukasz/Flood.sap
+Various/Grayscale/Sychowicz_Lukasz/Jatatap.sap
+Various/Grayscale/Sychowicz_Lukasz/Koko_1.sap
+Various/Makara_Grzegorz/Neron_Winner.sap
+Various/Hay_Adam/Alloyrun.sap
+Various/Hay_Adam/Amegas.sap
+Various/Hay_Adam/Reaxion_End.sap
+Various/Hay_Adam/Reaxion_Ingame.sap
+Various/Hay_Adam/Reaxion_Title.sap
+Various/Hay_Adam/Territorial_Pissings.sap
+Various/Hay_Adam/Wiz.sap
+Various/Iwaszko_Krystian/Hooy_F.sap
+Various/Jastrzemski_Marcin/Artic_2.sap
+Various/Jastrzemski_Marcin/Cdn.sap
+Various/Jastrzemski_Marcin/Civil.sap
+Various/Jastrzemski_Marcin/Czdkom_2.sap
+Various/Jastrzemski_Marcin/Dreamen.sap
+Various/Jastrzemski_Marcin/Guest_6.sap
+Various/Jastrzemski_Marcin/Matura.sap
+Various/Jastrzemski_Marcin/Quo.sap
+Various/Jastrzemski_Marcin/Rave.sap
+Various/Jastrzemski_Marcin/Rave3.sap
+Various/Karwacki_Jakub/Qwerty.sap
+Various/Karwoth_Torsten/Laser_Duell.sap
+Various/Kuczek_Ireneusz/Do_You_Want_To_Know_A_Secr.sap
+Various/Kuczek_Ireneusz/Goniac_Kormorany.sap
+Various/Kuczek_Ireneusz/Moja_Muzyka.sap
+Various/Kuczek_Ireneusz/Mydelko_Fa.sap
+Various/Kuczek_Ireneusz/Nie_Placz_Ewka.sap
+Various/Lepkowski_Michal/Likuit_4k.sap
+Various/Liebich_Tomasz/Technus.sap
+Various/Lis_Piotr/Gerappaaaaaa.sap
+Various/Loos_Uwe/ABBUC_28.sap
+Various/Majchrzak_Marcin/D_City.sap
+Various/Majchrzak_Marcin/Faza_4_Mona.sap
+Various/Martin_Aleksander/Max_Ingame.sap
+Various/Martin_Aleksander/Max_Ready_For_Next_Level.sap
+Various/Martin_Aleksander/Max_Title.sap
+Various/Martin_Aleksander/Max_Winner.sap
+Various/Martin_Aleksander/Timeless_Announcemt_Load_1.sap
+Various/Martin_Aleksander/Timeless_Announcemt_Load_5.sap
+Various/Martin_Aleksander/Timeless_Announcement_Plot.sap
+Various/Matoga_Adrian/Meryb.sap
+Various/Numan_Daniel/Brain.sap
+Various/Numan_Daniel/Experience.sap
+Various/Padula_Jaroslaw/Hardcore.sap
+Various/Padula_Jaroslaw/Hike_5.sap
+Various/Padula_Jaroslaw/Reason.sap
+Various/Pucinski_Rafal/Anty_SS_Zine_1.sap
+Various/Pucinski_Rafal/Anty_SS_Zine_2.sap
+Various/Pucinski_Rafal/Intro.sap
+Various/Pucinski_Rafal/Sole.sap
+Various/Pucinski_Rafal/Warrior.sap
+Various/Radecki_Michal/Klony_Game_Over.sap
+Various/Radecki_Michal/Klony_Ingame_1.sap
+Various/Radecki_Michal/Klony_Ingame_2.sap
+Various/Radecki_Michal/Klony_Next_Level.sap
+Various/Radecki_Michal/Klony_Title.sap
+Various/Radecki_Michal/Klony_Winner.sap
+Various/Radecki_Michal/Paranoja.sap
+Various/Radecki_Michal/Powrot.sap
+Various/Sterba_Radek/Astro4road.sap
+Various/Sterba_Radek/GLU.sap
+Various/Sterba_Radek/Satellite_One.sap
+Various/Sterba_Radek/Three_Hundred_Thirteen.sap
+Various/Szczesniak_Konrad/ABBUC_JHV_2002_1.sap
+Various/Szczesniak_Konrad/ABBUC_JHV_2002_2.sap
+Various/Szpilowski_Michal/ABBUC_Sondernmagazine_19.sap
+Various/Szpilowski_Michal/Bash_Hidden_part.sap
+Various/Szpilowski_Michal/Bash_Main.sap
+Various/Szpilowski_Michal/Brainstorm.sap
+Various/Szpilowski_Michal/Endtheme.sap
+Various/Szpilowski_Michal/Flowers_Mania.sap
+Various/Szpilowski_Michal/Hope.sap
+Various/Szpilowski_Michal/Joint.sap
+Various/Szpilowski_Michal/Mayhem_X.sap
+Various/Szpilowski_Michal/Miker_2A.sap
+Various/Szpilowski_Michal/Rose.sap
+Various/Szpilowski_Michal/Salute.sap
+Various/Szpilowski_Michal/Transcendental.sap
+Various/Szpilowski_Michal/Wings_of_Death_Level_Music.sap
+Various/Szpilowski_Michal/X_Mass.sap
+Various/Szpilowski_Michal/X_Mass_Greetings_Part.sap
+Various/Szpilowski_Michal/Yie_Ar_Kung_Fu.sap
+Various/Tegethoff_Sven/Bmagic.sap
+Various/Tegethoff_Sven/Dance.sap
+Various/Tegethoff_Sven/Deep.sap
+Various/Tegethoff_Sven/Hobby.sap
+Various/Tegethoff_Sven/Roller.sap
+Various/Tegethoff_Sven/Sandy.sap
+Various/Vogt_Dariusz/DJ_V_4.sap
+Various/Vogt_Dariusz/DJ_V_5.sap
+Various/Vogt_Dariusz/DJ_V_6.sap
+Various/Vogt_Dariusz/DJ_V_7.sap
+Various/Vogt_Dariusz/DJ_V_8.sap
+Various/Vogt_Dariusz/DJ_V_9.sap
+Various/Vogt_Dariusz/DJ_V_10.sap
+Various/Vogt_Dariusz/DJ_V_11.sap
+Various/Vogt_Dariusz/DJ_V_12.sap
+Various/Vogt_Dariusz/DJ_V_13.sap
+Various/Vogt_Dariusz/Leiser_Ingame.sap
+Various/Vogt_Dariusz/Leiser_Intro.sap
+Various/Wasilewski_Dariusz/Buu_Sampled.sap
+Various/Wasilewski_Dariusz/Lancelot.sap
+Various/Wisniewski_Mateusz/Edict.sap
+Various/Wisniewski_Mateusz/Error.sap
+Various/Wisniewski_Mateusz/Joes_Adventure_Intro.sap
+Various/Wisniewski_Mateusz/Joes_Adventure_Title.sap
+Various/Wisniewski_Mateusz/Last_V8.sap
+Various/Wisniewski_Mateusz/Polymatrix_Final.sap
+Various/Wisniewski_Mateusz/Sillyventure_2k4_Inv.sap