Index: trunk/asma/Docs/Update38.txt
===================================================================
--- trunk/asma/Docs/Update38.txt	(revision 1381)
+++ trunk/asma/Docs/Update38.txt	(revision 1404)
@@ -1,15 +1,17 @@
 ASMA Update #38
-Date: Jun 17, 2015
+Date: Sep 18, 2015
 
 These rips together with the original ASMA collection will make version 3.8
 of the ASMA (out of version 3.7).
 
-Number of new tunes: 261
-Credits fixes: 159
+Number of new tunes: 271
+Credits fixes: 163
 Better/bugfixed rips: 11
-Removed files: 3
+Removed files: 5
 
 Removed files
 -------------
+Composers/Ce_Pumpkin/Life2Back_Credits.sap (now included in a single file Life_2_Back.sap)
+Composers/Ce_Pumpkin/Life2Back_Main_Part.sap (now included in a single file Life_2_Back.sap)
 Composers/Kidaj_Andrzej/D18.sap (had only first song from 3-songs' MTV.sap)
 Composers/Kidaj_Andrzej/Logoman.sap (worse version)
@@ -24,5 +26,7 @@
 Composers/Buehrig_Bastian/DITCH.sap
 Composers/Ce_Pumpkin/Impossible_but_Real.sap
+Composers/Ce_Pumpkin/Life_to_Back.sap
 Composers/Ce_Pumpkin/Rolo_X.sap
+Composers/Ce_Pumpkin/Rolo_XI.sap
 Composers/Ce_Pumpkin/Too_Hard_2_1.sap
 Composers/Ce_Pumpkin/Too_Hard_2_2.sap
@@ -113,4 +117,5 @@
 Composers/Karpowicz_Henryk/Kolysanka_Brahms.sap
 Composers/Karpowicz_Henryk/Sorrento.sap
+Composers/Karwacki_Jakub/East_Party_5_Invitation.sap
 Composers/Karwoth_Torsten/Tron_The_Race.sap
 Composers/Krowarsch_Daniel/Bomba.sap
@@ -129,5 +134,5 @@
 Composers/Lis_Piotr/Outline_Me.sap
 Composers/Lis_Piotr/Quite_a_sad_song.sap
-Composers/Lis_Piotr/Strasna Hudba_or_how_Matri.sap
+Composers/Lis_Piotr/Strasna_Hudba_or_how_Matri.sap
 Composers/Lis_Piotr/Vseobecna_Porucha.sap
 Composers/Lis_Piotr/We_Are_Brothers_In_Atrs_2.sap
@@ -157,5 +162,4 @@
 Composers/Patschke_Ralf/ABBUC_117.sap
 Composers/Patschke_Ralf/Fireworks_2015.sap
-Composers/Patschke_Ralf/Lotus_II_Title.sap
 Composers/Pesout_Marek/Flop_magazin_58.sap
 Composers/Pesout_Marek/Justmix.sap
@@ -188,4 +192,5 @@
 Composers/Rogers_Charles/Butterscotch_Drops_of_Lime.sap
 Composers/Rogers_Charles/Its_the_Future.sap
+Composers/Rogers_Charles/Rising_Up.sap
 Composers/Rogers_Charles/Second_To_Last_Starfighter.sap
 Composers/Rogers_Charles/Wandas_Witchy_Workshop.sap
@@ -209,21 +214,24 @@
 Composers/Szpilowski_Michal/Samba_Gone_Bad.sap
 Composers/Szpilowski_Michal/Treasure_Island_Dizzy.sap
+Composers/Tegethoff_Sven/ABBUC_20_3.sap
 Composers/Theissen_Hilton/Dimos_Quest_Ingame.sap
 Composers/Theissen_Hilton/Dimos_Quest_Title.sap
 Composers/Theissen_Hilton/Dimos_Quest_Title_2.sap
 Composers/Voss_Roland/AD_6502_loading.sap
-Composers/Voss_Roland/AD_6502_music_1.sap
-Composers/Voss_Roland/AD_6502_music_2.sap
-Composers/Voss_Roland/AD_6502_music_3.sap
 Composers/Voss_Roland/AD_6502_music_4.sap
-Composers/Voss_Roland/Arsantica_3_Announcement.sap
 Composers/Voss_Roland/Arsantica_End_Theme.sap
 Composers/Voss_Roland/Back_from_Fractalis.sap
+Composers/Voss_Roland/Back_to_the_Northern_Light.sap
 Composers/Voss_Roland/Fischtro.sap
+Composers/Voss_Roland/Happy_Bonfire.sap
 Composers/Voss_Roland/Happy_Pokey_Stomper.sap
-Composers/Voss_Roland/Intro_2015.sap
+Composers/Voss_Roland/Planet_Rotation.sap
 Composers/Voss_Roland/Repeating_Basics.sap
-Composers/Voss_Roland/Sky_full_of_Fanta.sap
+Composers/Voss_Roland/Ride_the_Fractals.sap
+Composers/Voss_Roland/Sky_Full_of_Fanta.sap
 Composers/Voss_Roland/Space_Panda_Disco.sap
+Composers/Voss_Roland/Tease_the_Space_Pandas.sap
+Composers/Voss_Roland/Tentacles.sap
+Composers/Walters_Sean/Sloppyjones.sap
 Composers/Walters_Sean/Sloppyjones_Fuck_the_Cold.sap
 Composers/Walters_Sean/Undocumented_Official_Opco.sap
@@ -239,10 +247,13 @@
 Games/Alien_Encounter.sap
 Games/Amphibian.sap
+Games/Cosmic_Pirate.sap
 Games/Crazy_Maze_Race.sap
 Games/Exoter.sap
 Games/IBM_Tetris.sap
-Misc/ABBUC_117.sap
+Games/Turbo_Snail.sap
+Games/Who_Dares_Wins_II.sap
 Misc/Atari_Expo_Digi_Mix.sap
 Misc/Be_Strong.sap
+Misc/Beyond_the_Stars.sap
 Misc/Breaka_Railway.sap
 Misc/Dave_Ts_Disco.sap
@@ -258,4 +269,5 @@
 Misc/RebbStars.sap
 Misc/Rescue_technological_demo.sap
+Misc/RetroKomp_LE_2015_Invitro.sap
 Misc/Reveries_et_Souvenirs.sap
 Misc/Swacklord420000.sap
@@ -289,4 +301,5 @@
 Composers/Crockford_Douglas/Koronis_Rift.sap : NTSC
 Composers/Duma_Dariusz/Unplugged_Demo.sap > Unplugged_Pixels.sap : NAME "Unplugged Pixels"
+Composers/Eisenhammer_Zdenek/Flop_56.sap > Flop_magazin_56.sap : NAME "Flop magazin 56"
 Composers/Galinski_Adrian/Mayday_Demo.sap > Misc/Mayday_Demo.sap : AUTHOR "<?> (Darth)" : DATE "1995"
 Composers/Gilbertson_Gary/Alien.sap : NTSC
@@ -322,5 +335,5 @@
 Composers/Gilbertson_Gary/Tail_of_Beta_Lyrae.sap : NTSC
 Composers/Husak_Jakub/Ucieczka_W_Nicosc.sap > Ucieczka_w_Nicosc.sap
-Composers/Irrlicht_Proje/Levels_of_Doom.sap : DATE "01/2013"
+Composers/Irrlicht_Project/Levels_of_Doom.sap : DATE "01/2013"
 Composers/Kidaj_Andrzej/St.sap > Logoman.sap : NAME "Logoman"
 Composers/Langston_Peter/Ballblaster.sap : NTSC
@@ -342,5 +355,5 @@
 Games/221B_Baker_Street.sap : NTSC
 Games/Alien_Ambush.sap : NTSC
-Games/Alley_Cat.sap : NTSC
+Games/Alley_Cat.sap > Composers/Williams_Bill/ : NTSC
 Games/Andromeda.sap : NTSC
 Games/Archon.sap : NTSC
@@ -400,4 +413,5 @@
 Games/Mountain_King.sap : NTSC
 Games/Mr_Do.sap : NTSC
+Games/Necromancer.sap > Composers/Williams_Bill/ : AUTHOR "Bill Williams"
 Games/On_Track.sap : NTSC
 Games/Pac_Man.sap : NTSC
@@ -436,4 +450,6 @@
 Games/Zeppelin.sap : NTSC
 Games/Zombies.sap : NTSC
+Misc/Lotus_II_Title.sap > Composers/Patschke_Ralf/
+Misc/Relax_Kaleidoscope.sap > Composers/Williams_Bill/Relax.sap : AUTHOR "Bill Williams <?>" NAME "Relax"
 Misc/Surprise.sap > Composers/Bendyk_Piotr/
 Misc/Surprise_2.sap > Composers/Bendyk_Piotr/
@@ -444,8 +460,8 @@
 Better/bugfixed rips
 --------------------
-Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_4.sap > Wakacje_Misia_Kolabora.sap :NAME "Wakacje Misia Kolabora" (player replaced)
-Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_5.sap > Marsz_hipochondrykow.sap :NAME "Marsz hipochondrykow" (player replaced)
-Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_8.sap > Miod_w_uszach.sap :NAME "Miod w uszach" (player replaced)
-Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_Intro.sap > Wariacje_na_drutach.sap :NAME "Wariacje na drutach" (player replaced)
+Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_4.sap > Wakacje_Misia_Kolabora.sap : NAME "Wakacje Misia Kolabora" (player replaced)
+Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_5.sap > Marsz_hipochondrykow.sap : NAME "Marsz hipochondrykow" (player replaced)
+Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_8.sap > Miod_w_uszach.sap : NAME "Miod w uszach" (player replaced)
+Composers/Grayscale/Sychowicz_Lukasz/Barymag_2_Intro.sap > Wariacje_na_drutach.sap : NAME "Wariacje na drutach" (player replaced)
 Composers/Grayscale/Sychowicz_Lukasz/Stickman.sap (new rip)
 Composers/Mister_Beep/1_bit_Synthetic_II.sap (sap of proper rip replaces doubled sap)